Open CASCADE Technology: gp_Pnt2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gp_Pnt2d Class Reference

Defines a non-persistent 2D cartesian point. More...

`#include <gp_Pnt2d.hxx>`

## Public Member Functions
| gp_Pnt2d ()
| Creates a point with zero coordinates. More...
| gp_Pnt2d (const gp_XY &Coord)
| Creates a point with a doublet of coordinates. More...
| gp_Pnt2d (const Standard_Real Xp, const Standard_Real Yp)
| Creates a point with its 2 cartesian's coordinates : Xp, Yp. More...
void | SetCoord (const Standard_Integer Index, const Standard_Real Xi)
| Assigns the value Xi to the coordinate that corresponds to Index: Index = 1 => X is modified Index = 2 => Y is modified Raises OutOfRange if Index != {1, 2}. More...
void | SetCoord (const Standard_Real Xp, const Standard_Real Yp)
| For this point, assigns the values Xp and Yp to its two coordinates. More...
void | SetX (const Standard_Real X)
| Assigns the given value to the X coordinate of this point. More...
void | SetY (const Standard_Real Y)
| Assigns the given value to the Y coordinate of this point. More...
void | SetXY (const gp_XY &Coord)
| Assigns the two coordinates of Coord to this point. More...
Standard_Real | Coord (const Standard_Integer Index) const
| Returns the coordinate of range Index : Index = 1 => X is returned Index = 2 => Y is returned Raises OutOfRange if Index != {1, 2}. More...
void | Coord (Standard_Real &Xp, Standard_Real &Yp) const
| For this point returns its two coordinates as a number pair. More...
Standard_Real | X () const
| For this point, returns its X coordinate. More...
Standard_Real | Y () const
| For this point, returns its Y coordinate. More...
const gp_XY & | XY () const
| For this point, returns its two coordinates as a number pair. More...
const gp_XY & | Coord () const
| For this point, returns its two coordinates as a number pair. More...
gp_XY & | ChangeCoord ()
| Returns the coordinates of this point. Note: This syntax allows direct modification of the returned value. More...
Standard_Boolean | IsEqual (const gp_Pnt2d &Other, const Standard_Real LinearTolerance) const
| Comparison Returns True if the distance between the two points is lower or equal to LinearTolerance. More...
Standard_Real | Distance (const gp_Pnt2d &Other) const
| Computes the distance between two points. More...
Standard_Real | SquareDistance (const gp_Pnt2d &Other) const
| Computes the square distance between two points. More...
void | Mirror (const gp_Pnt2d &P)
| Performs the symmetrical transformation of a point with respect to the point P which is the center of the symmetry. More...
gp_Pnt2d | Mirrored (const gp_Pnt2d &P) const
| Performs the symmetrical transformation of a point with respect to an axis placement which is the axis. More...
void | Mirror (const gp_Ax2d &A)
gp_Pnt2d | Mirrored (const gp_Ax2d &A) const
| Rotates a point. A1 is the axis of the rotation. Ang is the angular value of the rotation in radians. More...
void | Rotate (const gp_Pnt2d &P, const Standard_Real Ang)
gp_Pnt2d | Rotated (const gp_Pnt2d &P, const Standard_Real Ang) const
| Scales a point. S is the scaling value. More...
void | Scale (const gp_Pnt2d &P, const Standard_Real S)
gp_Pnt2d | Scaled (const gp_Pnt2d &P, const Standard_Real S) const
| Transforms a point with the transformation T. More...
void | Transform (const gp_Trsf2d &T)
gp_Pnt2d | Transformed (const gp_Trsf2d &T) const
| Translates a point in the direction of the vector V. The magnitude of the translation is the vector's magnitude. More...
void | Translate (const gp_Vec2d &V)
gp_Pnt2d | Translated (const gp_Vec2d &V) const
| Translates a point from the point P1 to the point P2. More...
void | Translate (const gp_Pnt2d &P1, const gp_Pnt2d &P2)
gp_Pnt2d | Translated (const gp_Pnt2d &P1, const gp_Pnt2d &P2) const
const gp_XY & | _CSFDB_Getgp_Pnt2dcoord () const

## Detailed Description

Defines a non-persistent 2D cartesian point.

## Constructor & Destructor Documentation

gp_Pnt2d::gp_Pnt2d | ( |  | ) |

Creates a point with zero coordinates.

gp_Pnt2d::gp_Pnt2d | ( | const gp_XY & | Coord | ) |

Creates a point with a doublet of coordinates.

gp_Pnt2d::gp_Pnt2d | ( | const Standard_Real | Xp,
|  | const Standard_Real | Yp
| ) |  |

Creates a point with its 2 cartesian's coordinates : Xp, Yp.

## Member Function Documentation

const gp_XY& gp_Pnt2d::_CSFDB_Getgp_Pnt2dcoord | ( |  | ) | const
| inline

gp_XY& gp_Pnt2d::ChangeCoord | ( |  | ) |

Returns the coordinates of this point. Note: This syntax allows direct modification of the returned value.

Standard_Real gp_Pnt2d::Coord | ( | const Standard_Integer | Index | ) | const

Returns the coordinate of range Index : Index = 1 => X is returned Index = 2 => Y is returned Raises OutOfRange if Index != {1, 2}.

void gp_Pnt2d::Coord | ( | Standard_Real & | Xp,
|  | Standard_Real & | Yp
| ) |  | const

For this point returns its two coordinates as a number pair.

const gp_XY& gp_Pnt2d::Coord | ( |  | ) | const

For this point, returns its two coordinates as a number pair.

Standard_Real gp_Pnt2d::Distance | ( | const gp_Pnt2d & | Other | ) | const

Computes the distance between two points.

Standard_Boolean gp_Pnt2d::IsEqual | ( | const gp_Pnt2d & | Other,
|  | const Standard_Real | LinearTolerance
| ) |  | const

Comparison Returns True if the distance between the two points is lower or equal to LinearTolerance.

void gp_Pnt2d::Mirror | ( | const gp_Pnt2d & | P | ) |

Performs the symmetrical transformation of a point with respect to the point P which is the center of the symmetry.

void gp_Pnt2d::Mirror | ( | const gp_Ax2d & | A | ) |

gp_Pnt2d gp_Pnt2d::Mirrored | ( | const gp_Pnt2d & | P | ) | const

Performs the symmetrical transformation of a point with respect to an axis placement which is the axis.

gp_Pnt2d gp_Pnt2d::Mirrored | ( | const gp_Ax2d & | A | ) | const

Rotates a point. A1 is the axis of the rotation. Ang is the angular value of the rotation in radians.

void gp_Pnt2d::Rotate | ( | const gp_Pnt2d & | P,
|  | const Standard_Real | Ang
| ) |  |

gp_Pnt2d gp_Pnt2d::Rotated | ( | const gp_Pnt2d & | P,
|  | const Standard_Real | Ang
| ) |  | const

Scales a point. S is the scaling value.

void gp_Pnt2d::Scale | ( | const gp_Pnt2d & | P,
|  | const Standard_Real | S
| ) |  |

gp_Pnt2d gp_Pnt2d::Scaled | ( | const gp_Pnt2d & | P,
|  | const Standard_Real | S
| ) |  | const

Transforms a point with the transformation T.

void gp_Pnt2d::SetCoord | ( | const Standard_Integer | Index,
|  | const Standard_Real | Xi
| ) |  |

Assigns the value Xi to the coordinate that corresponds to Index: Index = 1 => X is modified Index = 2 => Y is modified Raises OutOfRange if Index != {1, 2}.

void gp_Pnt2d::SetCoord | ( | const Standard_Real | Xp,
|  | const Standard_Real | Yp
| ) |  |

For this point, assigns the values Xp and Yp to its two coordinates.

void gp_Pnt2d::SetX | ( | const Standard_Real | X | ) |

Assigns the given value to the X coordinate of this point.

void gp_Pnt2d::SetXY | ( | const gp_XY & | Coord | ) |

Assigns the two coordinates of Coord to this point.

void gp_Pnt2d::SetY | ( | const Standard_Real | Y | ) |

Assigns the given value to the Y coordinate of this point.

Standard_Real gp_Pnt2d::SquareDistance | ( | const gp_Pnt2d & | Other | ) | const

Computes the square distance between two points.

void gp_Pnt2d::Transform | ( | const gp_Trsf2d & | T | ) |

gp_Pnt2d gp_Pnt2d::Transformed | ( | const gp_Trsf2d & | T | ) | const

Translates a point in the direction of the vector V. The magnitude of the translation is the vector's magnitude.

void gp_Pnt2d::Translate | ( | const gp_Vec2d & | V | ) |

void gp_Pnt2d::Translate | ( | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

gp_Pnt2d gp_Pnt2d::Translated | ( | const gp_Vec2d & | V | ) | const

Translates a point from the point P1 to the point P2.

gp_Pnt2d gp_Pnt2d::Translated | ( | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  | const

Standard_Real gp_Pnt2d::X | ( |  | ) | const

For this point, returns its X coordinate.

const gp_XY& gp_Pnt2d::XY | ( |  | ) | const

For this point, returns its two coordinates as a number pair.

Standard_Real gp_Pnt2d::Y | ( |  | ) | const

For this point, returns its Y coordinate.

The documentation for this class was generated from the following file:

- gp_Pnt2d.hxx